<?
/*
Autor: Lic. Carlos Alberto Vaca Coronado
Version: 3.2.0
*/

session_name('portal_absa');
session_start();
if(!isset($_SESSION['usuario_p_prov_absa']) || trim($_SESSION['usuario_p_prov_absa']) == "" || trim(strtoupper($_SESSION["URL_PORTAL"]."admin.php")) != trim(strtoupper($_SERVER['HTTP_REFERER']))){
	?><script>window.location.href="<?=$_SESSION["URL_PORTAL"]."index.php"?>"</script><?
	exit;
}

require_once("clases/pdo/db.class.php");

$db = new DB();

$rfc=$_REQUEST['rfc'];
$rfcBD=$_REQUEST['rfcBD'];
$nombre=$_REQUEST['nombre'];
$puesto=$_REQUEST['puesto'];
$email2=$_REQUEST['email2'];
$usr=$_REQUEST['usr'];
$pass=$_REQUEST['pass'];
$passBD=$_REQUEST['passBD'];
if($pass!=$passBD)
	$pass=md5($pass);
$telefono=$_REQUEST['telefono'];
$contacto=$_REQUEST['contacto'];

$param = array(
			":username" => (string) $usr,
			":pass" => (string) $pass,
			":nombre" => (string) $nombre,
			":puesto" => (string) $puesto,
			":rfc_cliente" => (string) $rfc,
			":email" => (string) $email2,
			":telefono" => (string) $telefono,
			":contactoP" => (string) $contacto
			);
$result = $db->qry_iud("update usuariosweb set pass = :pass, nombre = :nombre, puesto = :puesto, rfc_cliente = :rfc_cliente, email = :email, telefono = :telefono, contactoP = :contactoP where username = :username",$param);
if($result === false){
	if($db->ERROR_NO != 0){
		?><script>$j_6.messager.alert("Error","Ocurrio un error al actualizar al usuario. Error -> <?php echo $db->MENSAJE;?>","error");</script><?php exit;
	}
}
// $query="update usuariosweb set pass='$pass', nombre='$nombre', puesto='$puesto', rfc_cliente='$rfc', email='$email2', telefono='$telefono', contactoP='$contacto' where username='$usr'";
// $rquery = mysqli_query($conexion->CONEXION,$query);

if(!isset($_POST['desde'])){
	saveClienteWEB($rfc);
	if($rfcBD != $rfc)
		eliminaClienteWEB($rfcBD);
}

if(!isset($_POST['desde']))
	echo "";
else
	echo "Perfil actualizado";


function saveClienteWEB($rfc){
	global $db;
	$nombreCliente=$_REQUEST['nombreEmpresa'];
	$param = array(
			":rfc_cliente" => (string) $rfc
			);
	$result = $db->qry_select("SELECT *	from clienteweb	WHERE rfc_cliente = :rfc_cliente limit 1",$param);
	if($result === false){
		if($db->ERROR_NO != 0){
			?><script>$j_6.messager.alert("Error","Ocurrio un error al consultar al cliente. Error -> <?php echo $db->MENSAJE;?>","error");</script><?php exit;
		}
	}
	if($db->NUM_REGISTROS == 0){
		$param = array(
			":rfc_cliente" => (string) $rfc,
			":nombre_cliente" => (string) $nombreCliente,
			":esProv" => (string) 'SI'
			);
		$result = $db->qry_iud("insert into clienteweb set rfc_cliente = :rfc_cliente, nombre_cliente = :nombre_cliente, esProv = :esProv",$param);
		if($result === false){
			if($db->ERROR_NO != 0){
				?><script>$j_6.messager.alert("Error","Ocurrio un error al insertar al cliente. Error -> <?php echo $db->MENSAJE;?>","error");</script><?php exit;
			}
		}
	}else{
		$param = array(
			":rfc_cliente" => (string) $rfc,
			":nombre_cliente" => (string) $nombreCliente,
			":esProv" => (string) 'SI'
			);
		$result = $db->qry_iud("update clienteweb set nombre_cliente = :nombre_cliente, esProv = :esProv where rfc_cliente = :rfc_cliente",$param);
		if($result === false){
			if($db->ERROR_NO != 0){
				?><script>$j_6.messager.alert("Error","Ocurrio un error al actualizar al cliente. Error -> <?php echo $db->MENSAJE;?>","error");</script><?php exit;
			}
		}
	}	
}

/*function saveClienteWEB($rfc){
global $conexion;
$nombreCliente=$_REQUEST['nombreEmpresa'];
$query="select rfc_cliente from clienteweb where rfc_cliente='$rfc'";
		$rquery=mysqli_query($conexion->CONEXION,$query);
		if(mysqli_num_rows($rquery)==0){
				$query="insert into clienteweb set rfc_cliente='$rfc', nombre_cliente='$nombreCliente', esProv='SI'";
				mysqli_query($conexion->CONEXION,$query);
		}else{
			$query="update clienteweb set esProv='SI', nombre_cliente='$nombreCliente' where rfc_cliente='$rfc'";
			mysqli_query($conexion->CONEXION,$query);
		}
		$error=mysqli_errno($conexion->CONEXION);

		if($error != 0)
			return false;
		else
			return true;

}*/

/*function eliminaClienteWEB($rfc){
global $conexion;
	$query="select rfc_cliente from usuariosweb where rfc_cliente='$rfc'";
	$rquery=mysqli_query($conexion->CONEXION,$query);
	if(mysqli_num_rows($rquery)==0){
		$query="delete from clienteweb where rfc_cliente='$rfc'";
		mysqli_query($conexion->CONEXION,$query);
	}
}*/

function eliminaClienteWEB($rfc){
	global $db;
	$param = array(
			":rfc_cliente" => (string) $rfc
			);
	$result = $db->qry_select("SELECT * from usuariosweb WHERE rfc_cliente = :rfc_cliente limit 1",$param);
	if($result === false){
		if($db->ERROR_NO != 0){
			?><script>$j_6.messager.alert("Error","Ocurrio un error al consultar los usuarios. Error -> <?php echo $db->MENSAJE;?>","error");</script><?php exit;
		}
	}
	if($db->NUM_REGISTROS == 0){
		$result = $db->qry_iud("delete from clienteweb where rfc_cliente = :rfc_cliente",array(":rfc_cliente" => (string) $rfc));
		if($result === false){
			if($db->ERROR_NO != 0){
				?><script>$j_6.messager.alert("Error","Ocurrio un error al eliminar al cliente. Error -> <?php echo $db->MENSAJE;?>","error");</script><?php exit;
			}
		}
	}
}
?>